Skip to content

Creates a new program record that does not already exist.

Request

This method will auto-generate an ID and create a new program. If an ID is specified for the program, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The program that you would like to be saved.

application_360_screen_idstring(Application 360 Screen)certifications-applications__.*

The default page layout when showing an certification

application_page_layout_idstring(Application Page Layout)certifications-applications__.*

The default page layout when showing an certification

certificate_modestring(Certificate Mode)
Enum:"automatically generate""create manually""disabled"
certificate_templatestring(Certificate Template)required
certification_360_screen_idstring(Certification 360 Screen)certifications-certifications__.*

The default page layout when showing a certification

certification_page_layout_idstring(Certification Page Layout)certifications-certifications__.*

The default page layout when showing a certification

custom_application_portal_templatestring(Custom Application Portal Template)required
custom_field_valuesArray of objects(Custom Field Values)
customer_typestring(Customer Type)

The type of customer that can have this certification

Enum:"both""contact""organization"
default_reinstatement_periodnumber, (float)(Default Reinstatement Period)

The reinstatement period for certifications in this program

descriptionstring(Description)

A description, which displays in the portal

display_in_portalboolean(Display In Portal)

If true, this portal appears in the portal

display_ordernumber, (float)(Display Order)

The display order

enable_custom_application_portal_templateboolean(Enable Custom Application Portal Template)

If set, a custom template is used to show the application information in the portal

enable_grandfathered_certificationsboolean(Enable Grandfathered Certifications)

If set to true, any other certifications marked as grandfathered are renewed when a certification of this type is renewed

grandfathered_certification_optionsobject(Grandfathered Certification Options)required
group_idstring(Group)

The certification group

idstring(ID)^[\w|-]+$required

The unique, string identifier of this program

is_activeboolean(Is Active)

Whether or not this program is active

logo_uristring(Logo Uri)

The logo of the program

namestring(Name)required

The name of the program

next_certification_numbernumber, (float)(Next Certification Number)

The number that should be used for the next certification that is activated in this program

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/programs/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "application_360_screen_id": "string",
    "application_page_layout_id": "string",
    "certificate_mode": "automatically generate",
    "certificate_template": "string",
    "certification_360_screen_id": "string",
    "certification_page_layout_id": "string",
    "custom_application_portal_template": "string",
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "customer_type": "both",
    "default_reinstatement_period": 0.1,
    "description": "string",
    "display_in_portal": true,
    "display_order": 0.1,
    "enable_custom_application_portal_template": true,
    "enable_grandfathered_certifications": true,
    "grandfathered_certification_options": {
      "program_ids": [
        "string"
      ]
    },
    "group_id": "string",
    "id": "string",
    "is_active": true,
    "logo_uri": "string",
    "name": "string",
    "next_certification_number": 0.1,
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1
  }'

Responses

The program was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
application_360_screen_idstring(Application 360 Screen)certifications-applications__.*

The default page layout when showing an certification

application_page_layout_idstring(Application Page Layout)certifications-applications__.*

The default page layout when showing an certification

certificate_modestring(Certificate Mode)
Enum:"automatically generate""create manually""disabled"
certificate_templatestring(Certificate Template)required
certification_360_screen_idstring(Certification 360 Screen)certifications-certifications__.*

The default page layout when showing a certification

certification_page_layout_idstring(Certification Page Layout)certifications-certifications__.*

The default page layout when showing a certification

custom_application_portal_templatestring(Custom Application Portal Template)required
custom_field_valuesArray of objects(Custom Field Values)
customer_typestring(Customer Type)

The type of customer that can have this certification

Enum:"both""contact""organization"
default_reinstatement_periodnumber, (float)(Default Reinstatement Period)

The reinstatement period for certifications in this program

descriptionstring(Description)

A description, which displays in the portal

display_in_portalboolean(Display In Portal)

If true, this portal appears in the portal

display_ordernumber, (float)(Display Order)

The display order

enable_custom_application_portal_templateboolean(Enable Custom Application Portal Template)

If set, a custom template is used to show the application information in the portal

enable_grandfathered_certificationsboolean(Enable Grandfathered Certifications)

If set to true, any other certifications marked as grandfathered are renewed when a certification of this type is renewed

grandfathered_certification_optionsobject(Grandfathered Certification Options)required
group_idstring(Group)

The certification group

idstring(ID)^[\w|-]+$required

The unique, string identifier of this program

is_activeboolean(Is Active)

Whether or not this program is active

logo_uristring(Logo Uri)

The logo of the program

namestring(Name)required

The name of the program

next_certification_numbernumber, (float)(Next Certification Number)

The number that should be used for the next certification that is activated in this program

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "application_360_screen_id": "string", "application_page_layout_id": "string", "certificate_mode": "automatically generate", "certificate_template": "string", "certification_360_screen_id": "string", "certification_page_layout_id": "string", "custom_application_portal_template": "string", "custom_field_values": [ { … } ], "customer_type": "both", "default_reinstatement_period": 0.1, "description": "string", "display_in_portal": true, "display_order": 0.1, "enable_custom_application_portal_template": true, "enable_grandfathered_certifications": true, "grandfathered_certification_options": { "program_ids": [ … ] }, "group_id": "string", "id": "string", "is_active": true, "logo_uri": "string", "name": "string", "next_certification_number": 0.1, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }